function path_para = paras_path (sim_para);

% Function paras_path
% Initilizes some propagation path parameters
%
% Synopsys :
%
%   path_para = paras_path (sim_para);
%
% For more details see paras_path.m module
%


% Path loss parameters
% Selects teh path loss exponent and the path loss constant
% so the path loss is L = c * r^m
%path_para.c = 10^(3.154);
%path_para.c = 10^(12.5);
%path_para.c = 0.001; %d0 of 1 m
path_para.d0 = 0.001; %d0 of 1 m
path_para.m = 3;

% Shadowing parameters
% The total path loss is now L_ = c * r_i^m * 10^(psi_i/10)
% where psi_i = a * epsilon + b * epsilon_i, and
% and psi_i, epsilon and epsilon_i are Gaussian RVs with
% E{psi_i} = E{epsilon} = E{epsilon_i} = 0
% Var{psi_i} = Var{epsilon} = Var{epsilon_i} = sigma2_shadow
% and other parameters defined as in the Viterbi paper
path_para.sigma2_shadow = 8^2;
%8^2;
path_para.a = sqrt(1/2);
path_para.b = sqrt(1/2);
%path_para.a = 2;
%path_para.b = 2;

%Correlated shadowing parameters
path_para.sigmashadow = 8;
path_para.dstep = 0.01;
path_para.dcor = 1.665;


