function sim_para = paras_sim;

% Function paras_sim
% Generates simulation parameters
%
% Synopsys:
%
%   sim_para = paras_sim;
%
% See the paras_sim.m module for more information
%
% Number of Relays
% 

sim_para.K=15;%channels
sim_para.supercell=8;

%Gaussian Noise
%sim_para.gaussian_noise = 5*10^(-14);
sim_para.noise = 10^(-12);
sim_para.known=5;
%Power per SU
sim_para.Pmax=0.01;
%Power per PU
sim_para.PPUmax=0.1;
%sim_para.PMSmax=0.05;


sim_para.lambda = 9.15*2;
%9.15*2;
sim_para.target=10;
sim_para.lambda2 = 1.515;
sim_para.N = 10;%number of samples 
%23;
%9.15*2;
sim_para.u = 5;
% Network Boundary
% Rectangular in KM
sim_para.boundaryx = 3;
sim_para.cellwidth=1;
sim_para.lines=4;


% Rectangular in KM
sim_para.boundaryxx = 1.5;
sim_para.boundaryyy = 1.5;
%Max PU t-r distance in Km
sim_para.maxr=1;
  
%Number of simulations for averaging
sim_para.numinsta=250;

%Bandwidth in Hz
sim_para.W = 1;

%mobility, 
%speed in m/s
sim_para.speedmin=20/3.6;
sim_para.speedmax=20/3.6   ;

%Time slot duration in seconds
sim_para.theta=30;


%%%Penalty factor
sim_para.alpha=50;
sim_para.pay=1;
sim_para.historyth=5;



